# WOK
TKWOK
WOKMake

# WOKMake_InputFile Class Reference

Handles Single Input Item within a step
.

`#include <WOKMake_InputFile.hxx>`

Inheritance diagram for WOKMake_InputFile:

[legend]

## Public Member Functions

Standard_EXPORT | WOKMake_InputFile ()
Standard_EXPORT | WOKMake_InputFile (const Handle(TCollection_HAsciiString)&anid, const Handle(WOKernel_File)&afile, const Handle(WOKBuilder_Entity)&abuildent, const Handle(WOKUtils_Path)&aoldpath)
Standard_EXPORT | WOKMake_InputFile (const Handle(WOKMake_OutputFile)&outfile)
Standard_EXPORT void | SetDirectFlag (const Standard_Boolean aflag)
Standard_Boolean | IsDirectInput () const
| True if File is in Input Flow of Step False if it is a deducted dependency input .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | ReadFile (const Handle(WOKUtils_Path)&afile, const Handle(WOKernel_Locator)&alocator, WOKMake_IndexedDataMapOfHAsciiStringOfInputFile &amap)
static Standard_EXPORT Standard_Integer | WriteFile (const Handle(WOKUtils_Path)&afile, const WOKMake_IndexedDataMapOfHAsciiStringOfInputFile &amap)
static Standard_EXPORT Standard_Integer | ReadFile (const Handle(WOKUtils_Path)&afile, const Handle(WOKernel_Locator)&alocator, const Handle(WOKMake_HSequenceOfInputFile)&aseq)
static Standard_EXPORT Standard_Integer | WriteFile (const Handle(WOKUtils_Path)&afile, const Handle(WOKMake_HSequenceOfInputFile)&aseq)

## Static Private Member Functions

static Standard_EXPORT void | ReadLine (Standard_IStream &astream, const Handle(WOKernel_Locator)&locator, Handle(WOKMake_InputFile)&infile)
static Standard_EXPORT void | WriteLine (Standard_OStream &astream, const Handle(WOKMake_InputFile)&infile)

## Constructor & Destructor Documentation

Standard_EXPORT WOKMake_InputFile::WOKMake_InputFile | ( |  | ) |

Standard_EXPORT WOKMake_InputFile::WOKMake_InputFile | ( | const Handle(TCollection_HAsciiString)& | anid,
|  | const Handle(WOKernel_File)& | afile,
|  | const Handle(WOKBuilder_Entity)& | abuildent,
|  | const Handle(WOKUtils_Path)& | aoldpath
| ) |

Standard_EXPORT WOKMake_InputFile::WOKMake_InputFile | ( | const Handle(WOKMake_OutputFile)& | outfile | ) |

## Member Function Documentation

Standard_EXPORT const WOKMake_InputFile::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKMake_StepFile.

Standard_Boolean WOKMake_InputFile::IsDirectInput | ( |  | ) | const`[inline]`

static Standard_EXPORT Standard_Integer WOKMake_InputFile::ReadFile | ( | const Handle(WOKUtils_Path)& | afile,
|  | const Handle(WOKernel_Locator)& | alocator,
|  | const Handle(WOKMake_HSequenceOfInputFile)& | aseq
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKMake_InputFile::ReadFile | ( | const Handle(WOKUtils_Path)& | afile,
|  | const Handle(WOKernel_Locator)& | alocator,
|  | WOKMake_IndexedDataMapOfHAsciiStringOfInputFile & | amap
| ) | `[static]`

static Standard_EXPORT void WOKMake_InputFile::ReadLine | ( | Standard_IStream & | astream,
|  | const Handle(WOKernel_Locator)& | locator,
|  | Handle(WOKMake_InputFile)& | infile
| ) | `[static, private]`

Standard_EXPORT void WOKMake_InputFile::SetDirectFlag | ( | const Standard_Boolean | aflag | ) |

static Standard_EXPORT Standard_Integer WOKMake_InputFile::WriteFile | ( | const Handle(WOKUtils_Path)& | afile,
|  | const Handle(WOKMake_HSequenceOfInputFile)& | aseq
| ) | `[static]`

static Standard_EXPORT Standard_Integer WOKMake_InputFile::WriteFile | ( | const Handle(WOKUtils_Path)& | afile,
|  | const WOKMake_IndexedDataMapOfHAsciiStringOfInputFile & | amap
| ) | `[static]`

static Standard_EXPORT void WOKMake_InputFile::WriteLine | ( | Standard_OStream & | astream,
|  | const Handle(WOKMake_InputFile)& | infile
| ) | `[static, private]`

The documentation for this class was generated from the following files:

- WOKMake_InputFile.hxx
- WOKMake_InputFile.lxx